Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.hibernate.tool.hbm2java
Class MetaAttributeHelper

    java.lang.Object
      |
      +--net.sf.hibernate.tool.hbm2java.MetaAttributeHelper

public class MetaAttributeHelper
extends Object

Helper for loading, merging and accessing tags.

Author:
  max

Constructor Summary
`MetaAttributeHelper()`

Method Summary
`static String` | `getMetaAsString(Collection meta, String seperator)`
`static org.apache.commons.collections.MultiMap` | `loadAndMergeMetaMap(org.jdom.Element classElement, org.apache.commons.collections.MultiMap inheritedMeta)` Method loadAndMergeMetaMap.
`protected static org.apache.commons.collections.MultiMap` | `loadMetaMap(org.jdom.Element element)` Load meta attributes from jdom element into a MultiMap.
`static org.apache.commons.collections.MultiMap` | `mergeMetaMaps(org.apache.commons.collections.MultiMap local, org.apache.commons.collections.MultiMap inherited)` Merges a Multimap with inherited maps.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaAttributeHelper

    public MetaAttributeHelper()

Method Detail

### loadMetaMap

    protected static org.apache.commons.collections.MultiMap loadMetaMap(org.jdom.Element element)

  Load meta attributes from jdom element into a MultiMap.

  Parameters:
    `element` -
  Returns:
    MultiMap

### mergeMetaMaps

    public static org.apache.commons.collections.MultiMap mergeMetaMaps(org.apache.commons.collections.MultiMap local,
                                                                        org.apache.commons.collections.MultiMap inherited)

  Merges a Multimap with inherited maps. Values specified always overrules/replaces the inherited values.

  Parameters:
    `local` -
    `inherited` -
  Returns:
    a MultiMap with all values from local and extra values from inherited

### loadAndMergeMetaMap

    public static org.apache.commons.collections.MultiMap loadAndMergeMetaMap(org.jdom.Element classElement,
                                                                              org.apache.commons.collections.MultiMap inheritedMeta)

  Method loadAndMergeMetaMap.

  Parameters:
    `classElement` -
    `inheritedMeta` -
  Returns:
    MultiMap

### getMetaAsString

    public static String getMetaAsString(Collection meta,
                                         String seperator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD